Webhooks
Update an endpoint or turn it on or off
Update an endpoint or turn it on or off. Reference for PATCH /v1/webhook-endpoints/{id} in the Sealio API: parameters and response fields.
PATCH
/webhook-endpoints/{id}Authorization
apiKey AuthorizationBearer <token>
sk_live_ca_… or sk_live_in_…, created in Settings → API keys.
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
curl -X PATCH "https://example.com/webhook-endpoints/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "object": "webhook_endpoint", "url": "string", "description": "string", "events": [ "string" ], "status": "enabled", "disabled_reason": "string", "failing_since": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}